<head>
<title>Aoi - Nápověda</title>
</head>

<h1><a name="#index">Obsah</a></h1>
&nbsp;&nbsp;&nbsp;<a href="#notes">Obecné poznámky</a><br>
&nbsp;&nbsp;&nbsp;<a href="#firststart">První spuštění</a><br>
&nbsp;&nbsp;&nbsp;<a href="#fonts">Písmo</a><br>
&nbsp;&nbsp;&nbsp;<a href="#cmdline">Příkazový řádek</a><br>
&nbsp;&nbsp;&nbsp;<a href="#description">Popis částí programu</a><br>
&nbsp;&nbsp;&nbsp;<a href="#keys">Klávesové zkratky</a><br>
&nbsp;&nbsp;&nbsp;<a href="#searching">Vyhledávání ve slovníku</a><br>

<h1><a name="notes">Obecné poznámky</a></h1>

<p>Tento program není studijní slovník. Jeho zamýšlené použití je jako pomůcka při četbě.</p>

<h2>Cíle programu</h2>
<ul>
<li>efektivní vyhledávání</li>
<li>ovládání jednou rukou (kniha ve druhé)</li>
<li>zádné nadbytečné (studijní) funkce</li>
</ul>


<h1><a name="firststart">První spuštění</a></h1>
<h2>a) Stažení databaáze</h2>
<p>Po spuštění programu se objeví dialog <i>Manage Database</i>. Zde je třeba stáhnout novou databázi. Viz <a href="#managedb">ZDE</a></p>
<p>Alternativou ke stažení je vytvoření databáze ze zdrojových dat. Podrobnosti jsou v souboru README (přibalen u zdrojového kódu).</p>
<h2>b) Výběr písma</h2>
Viz následující oddíl.


<h1><a name="fonts">Písmo</a></h1>
<p>Slovník vyžaduje minimálně 1 písmo schopné zobrazit základní latinku,
symboly (,.+/*?-...) a alespoň kanji standardu JIS X 208 (ideálně i JIS X 212 a JIS X 213).
Seznam CJK písem je např. <a href="https://en.wikipedia.org/wiki/List_of_CJK_fonts">ZDE</a>
</p>
<p><b>Upozornění: po změně písma je vhodné program restartovat</b> (to zajistí, že se změna projeví opravdu všude)</p>
<p>Ve Windows 7 a novějších se lze obejít bez ručního nastavení písma (systém automaticky zvolí vhodné), ale <b>nebudou čitelná kanji v této nápovědě</b>.</p>
<p>
Písma lze nastavit argumentem příkazového řádku (viz dále), případně v dialogu <i>Settings</i> (<b><i>Menu -&gt; Settings</i></b>).
</p>
<h2>Doporučená písma:</h2>
<table border="1">
<tr>
<td><i>MS PMincho</i><br><i>MS Mincho</i></td>
<td>Tato písma by jsou součástí Windows XP a novějších. Verze přítomná ve Windows XP nepodporuje JIS X 213. V tomto případě je lépe použít jiné písmo; např. <i>Hanazono</i>.</td>
</tr>
<tr>
<td><i><font face="symbol">花園</font> (Hanazono)</i></td>
<td>Bezplatně ke stažení na adrese <a href="http://fonts.jp/hanazono">http://fonts.jp/hanazono/</a>.
Potřebná je varianta <i><font face="symbol">花園明朝A</font> (HanaMinA)</i> </td>
</tr>
</table>

<h3>Instalace písma</h3>
<p>Po rozbalení archivu se staženým písmem dostanete 1 nebo více souborů s koncovkou <i>*.TTF</i>.</p><br>
<ul>
<li><b>Linux:</b> V domovském adresáři vytvořte složku <i>.fonts</i> a překopírujte do ní patřičné <i>*.TTF</i> soubory.</li>
<li><b>Windows:</b> <i>Start -&gt; Ovládací panely -&gt; Písma</i> (v anglické verzi: <i>Start -&gt; Control panel -&gt; Fonts</i>) a do otevřeného okna přetáhněte patřičné <i>*.TTF</i> soubory.</li>
</ul>

<h1><a name="cmdline">Příkazový řádek</a></h1>
<p>Všechny volby, které lze nastavit v dialogu <b>Settings</b> je možné nastavit i jako parametr při spuštění programu. V tom případě má varianta z argumentu přednost. Seznam dostupných voleb, jejich popis a výchozí hodnoty lze získat příkazem <i>aoi -config help</i></p>
<p>Volby se zadávají v následujícím formátu: <i>aoi -config volba1=hodnota1:volba2=hodnota2:...:volbaN=hodnotaN</i>
<br>
např.: <i>aoi -config "font/base_size"=18:"font/kanji"="HanaMinA"</i>
</p>
<h2>Další možnosti</h2>
<table border="1">
<tr>
  <td><i>-geomentry WxH+X+Y</i></td>
  <td>Nastaví pozici (X,Y) a velikost okna (W,H) programu. Vše v pixelech.
    <ul>
      <li>W - šířka okna</li>
      <li>H - výška okna</li>
      <li>X - x-ová souřadnice (vzálenost od levého okraje)</li>
      <li>Y - y-ová souřadnice (vzálenost od horního okraje)</li>
    </ul>
    Např. <i>-geometry 1366x768+0+0</i> na typickém HD displeji zobrazí okno přes celou obrazovku.
  </td>
</tr>
<tr>
  <td><i>-scheme none|GTK+|plastic</i></td>
  <td>Změní vzhled ovládacích prvků. Viz screenshoty <a href="http://aoi.souko.cz">domovské stránce programu</a>.
  </td>
</tr>
<tr>
  <td><i>-loaddb SOUBOR<br>-parse jmdict|kanjidic</i></td>
  <td>Pro ruční tvorbu databáze. Viz soubor README u zdrojového kódu.</td>
</tr> 
</table>

<h2>Některé užitečné volby pro "-config"</h2>
<table border="1">
<tr><td>font/base_size</td><td>px</td><td>Základní velikost písma v pixelech. Všechny velikosti písma jsou odvozeny z tohoto parametru jako jeho násobek.</td></tr>
<tr><td>font/kanji</td><td>jmeno pisma</td><td>Písmo, které bude použito pro zobrazení kanji.</td></tr>
</table>

<h1><a name="description">Popis částí programu</a></h1>
<ul>
  <li>Všechna dialogová okna (včetně oken s detaily kanji) lze zavřít stiskem klávesy <i>ESC</i></li>
</ul>
<h2>Stále přístupná tlačítka</h2>
<h3>Menu</h3>
<p>Tlačítko vlevo nahoře, označené <b>M</b> a šipkou.</p>
<table border="1">
<tr><td>
  <a name="managedb"></a>
  <b><i>Menu -&gt; Manage database</i></b></td><td>
  Zobrazí dialog s informacemi o databázi, který možňuje i její stažení či kontrolu.<br>
  <b>Stahovaný soubor má ca 40 MB, hotová databáze ca 140 MB. Během tvorby databáze je potřeba ca 150-300 MB volného místa pro dočasné soubory.</b>
</td></tr>
<tr><td>
  <b><i>Menu -&gt; Settings</i></b></td><td>
  Zobrazí dialog s konfigurací programu. 
  <u>Liché řádky:</u> Jméno proměnné (dvojklik/Enter/Space pro popis)
  <u>Sudé řádky:</u> Hodnota proměnné (dvojklik/Enter/Space pro změnu)
</td></tr>
<tr><td>
  <b><i>Menu -&gt; Tools -&gt; Test romanization</i></b></td><td>
  Zobrazí dialog umožňující vyzkoušet si jak program provádí konverzi <i>romaji</i> -&gt; <i>hiragana/katakana</i>
</td></tr>
<tr><td>
  <b><i>Menu -&gt; Tools -&gt; Test fonts</i></b></td><td>
  Zobrazí dialog pro test písem nalezených v systému.
</td></tr>
<tr><td>
  <b><i>Menu -&gt; Help &amp; About</i></b></td><td>
  Zobrazí tuto nápovědu.
</td></tr>
</table>

<h3>Tlačítko pro přepínání slovník/kanji</h3>
<p>Vlevo nahoře; je-li aktivní slovníková část zobrazuje <i>D</i>, je-li aktivní vyhledávání kanji zobrazuje <i>K</i>.</p>

<h2>Slovníková část</h2>
<h3>Vstupní pole</h3>
<ul>
  <li>Lze zadávat latinku (ta je před hledáním převedena na hiraganu/katakanu), hiraganu, katakanu, kanji a jejich kombinace.</li>
  <li>Příklady vyhledávacích řetězců viz níže.</li>
</ul>
<h3>Filtry</h3>
<ul>
  <li>Po pravé straně.</li>
  <li>Zobrazí jen výsledky vyhledávání odpovídající zaškrtnutým volbám (nic nevybráno = vše vybráno).</li>
  <li>Filtrovat lze <i>podstatná jména</i> (noun), <i>přídavná jména</i> (adj), <i>slovesa</i> (verb) a <i>výrazy</i> (exp). </li>
</ul>

<h3>Výsledky hledání</h3>
<ul>
  <li>Frekventovaná čtení a kanji jsou barevně zvýrazněna.</li>
  <li>V záhlaví lze měnit šířku sloupců.</li>
  <li>Pravý klik na řádek zobrazí menu s možností kopírovat kanji.</li>
</ul>


<h2>Vyhledávání kanji</h2>

<h3>Pole pro zadání SKIP kódu, pole pro zadání počtu tahů (#), JLPT a grade (Grd.)</h3>
<ul>
  <li>Enter v těchto polích funguje stejně jako stisknutí tlačítka <i>Search</i></li>
  <li>Popis možností jak dotaz formulovat viz níže.</li>
</ul>

<h3>Výběr řazení kanji</h3>
<p>Nastavuje podle jakého kritéria se budou vyhledaná kanji řadit. Možnosti jsou podle <i>frekvence výskytu v japonských textech</i> (FREQ), podle <i>počtu tahů</i> (STROKES), <i>vzestupně</i> (ASC) a <i>sestupně</i> (DESC). </p>

<h3>Volba JIS 208 only</h3>
<p>Je-li tato volba aktivní bude se vyhledávat jen mezi kanji uvedenými v normě <i>JIS X 208</i> (ca 6500 nejběžnějších kanji; dostačuje pro neodborné texty).</p>

<h3>Tlačítko Search</h3>
<p>Vyhledá kanji vyhovující všem nastavený možnostem (stejná funkce jako Enter v některém ze vstupních polí.)</p>

<h3>Tlačítko Clear</h3>
<p>Obnoví výchozí nastavení všech vyhledávacích polí.</p>

<h3>Seznam komponent</h3>
<ul>
  <li>Přepínač <b>Sort by strokes</b> přepíná mezi řazením <i>podle frekvence výskytu</i> komponent ve výsledcích hledání a řazení <i>podle počtu tahů</i> komponenty (v tomto případě jsou komponenty stále řazeny i podle frekvence výskytu).</li>
  <li>Levým kliknutím se filtrují znaky obsahující danou komponentu.</li>
  <li>Pravým kliknutím znaky neobsahující danou komonentu</li>
  <li>Výběr komponenty lze zrušit stejným tlačítkem, které bylo použito pro výběr (tzn. levým pro vyžadované komponenty a pravým pro zakázané)</li>
</ul>

<h3>Výsledky vyhledávání</h3>
<ul>
  <li>Kanji, která se nejčastěji vyskytují v japonských textech jsou barevně zvýrazněna.</li>
  <li>Levý klik zobrazí dialog s detaily kanji.</li>
  <li>Pravý klik na kanji vyvolá kontextové menu s možností zkopírovat kanji do schránky.</li>
</ul>


<h1><a name="keys">Klávesové zkratky</a></h1>
<table border="1">
<tr>
  <td><b>CTRL+M</b></td>
  <td>Rozbalí hlavní menu.</td>
</tr><tr>
  <td><b>CTRL+L</b></td>
  <td>Přesune focus do vyhledávacího řádku (SKIP v případě kanji).</td>
</tr><tr>
  <td><b>CTRL+S</b></td>
  <td>Spustí patřičné hledání; stejně jako <i>ENTER</i> ve vyhledávacím poli
      nebo tlačítko <i>Search</i>.</td>
</tr><tr>
  <td><b>CTRL+Q</b></td>
  <td>Přepne zobrazení slovník/kanji.</td>
</tr><tr>
  <td><b>ESC</b></td>
  <td>Zavře aktivní dialogové okno (ne hlavní okno).</td>
</tr>
</table>

<h1><a name="searching">Vyhledávání ve slovníku</a></h1>
<h2>Slovník</h2>
Kdykoliv se v následující tabulce mluví o <i>znaku</i> myslí se
tím jeden znak hiragany, katakany či kanji.

<p>
<b>POZOR:</b> První krok, který program
provede (ještě před vlastním hledáním v databázi) je konverze
vyhledávaného řetězce na kanji, hiraganu, katakanu a zvláštní znaky.
Vstupní text může tedy být libovolnou kombinací romaji, hiragany a katakany.
</p>

<table border="1">
<tr>
  <td><b>:</b></td>
  <td>Uvozuje hledání ve směru <i>angličtina->japonština</i>. V tomto případě 
      nefungují žádné  níže uvedené volby. Při hledání se rozlišuje velikost písmen.</td>
</tr><tr>
  <td><b>*</b></td>
  <td>Nahrazuje 0 nebo více znaků.</td>
</tr><tr>
  <td><b>?</b></td>
  <td>Nahrazuje právě jeden znak.</td>
</tr><tr>
  <td><b>[]</b></td>
  <td>Mezi složené závorky lze vypsat seznam slov (jejich čtení) oddělených čárkou. Výsledkem operace je seznam všech kanji, která se vyskytují ve všech uvedených slovech. Nahrazuje 1 znak.</td>
</tr><tr>
  <td><b>()</b></td>
  <td>Podobně jako [], ale místo čtení slov se zadává čtení znaků (nerozlišuje se on a kun). Nahrazuje 1 znak.<br>
<b>POZOR:</b> Použití této struktury na začátku vyhledávaného řetězce (tzn. předcházené pouze symboly * nebo ?; např.:<i>*(sei), ??(sei), (chi)*, (chi)(ji), ...</i>) může vést k velmi rozsáhlému vyhledávání, které na slabších CPU potrvá několik minut (a po tuto dobu nemusí PC reagovat). Dotazy typu <i>[tadashii](to)</i> nepředstavují problém.</td>
</tr><tr>
  <td><b>{}</b></td>
  <td>Řetězec ohraničený složenými závorkami je nejprve převeden na hiraganu a hledá se každá hláska z výsledného seznamu. Může obsahovat kanji, hiraganu, katakanu, romaji. Nahrazuje 1 znak.</td>
  </tr>
</table>

<p>Uvnitř <b>[]</b> a <b>()</b> může být i číslo 1-4. Pak se vyhledávají kanji jejichž SKIP kód tímto číslem začíná. <b>POZOR:</b> Budou-li v řetězci uvedena 2 různá čísla bude výsledek hledání téměř vždy nula (kanji má obvykle jen jednu kateorii SKIP).</p>

<h3>Příklady</h3>
<p>Romaji, hiragana a katakana jsou plně zaměnitelné (tzn. všechny tyto řetězce jsou ekvivalentní <font face="symbol"> baka, ばか, バカ, baか, ばka, baカ, バka, ばカ, バか</font>). Jedinou výjimku tvoří hledání ve směru <i>angličtina -&gt; japonština</i>.</p>
<table border="1">
<tr>
  <th>Zadaný řetězec</th>    
  <th>Co se hledá</th>    
  <th>Příklady výsledků</th>    
</tr>
<tr>
  <td>:easy</td>    
  <td>fulltextové vyhledávání řetězce <i>easy</i> (v anglických významech)</td>    
  <td><font face="symbol">易しい (easy) <br>重い (uneasy)</font></font></td>    
</tr>
<tr>
  <td>:to see</td>    
  <td>fulltextové vyhledávání řetězce <i>to see</i> (v anglických významech)</td>    
  <td><font face="symbol">見る (to see) <br> 見える (to seem) <br> 求める (to seek)</font></td>    
</tr>
<tr>
  <td>ana*</td>    
  <td>čtení začíná <font face="symbol">あな</font> nebo <font face="symbol">アナ</font></td>    
  <td><font face="symbol">穴 (あな)<br>強ち (あながち) <br> アナウンサー</font></td>    
</tr>
<tr>
  <td>*ana</td>    
  <td>čtení končí <font face="symbol">あな</font> nebo <font face="symbol">アナ</font></td>    
  <td><font face="symbol">穴 (あな)<br>毛穴 (けあな) <br>ルイジアナ</font></td>    
</tr>
<tr>
  <td>?ana</td>    
  <td>čtení začíná jedním znakem (kanji, hiragana nebo katakana) po kterém následuje <font face="symbol">あな</font> nebo <font face="symbol">アナ</font></td>    
  <td><font face="symbol">毛穴 (けあな)<br> ギアナ</font></td>    
</tr>
<tr>
  <td>[otonashii]</td>    
  <td>slova tvořená právě jedním kanji (řetězec obsahuje jen jeden pár []), které se vyskytuje v nějakém slově se čtením <i>otonashii</i> (<font face="symbol">大人しい</font>)</td>    
  <td><font face="symbol">人 and 大</font></td>    
</tr>
<tr>
  <td>[aozora,aomushi]</td>
  <td>slova tvořená právě jedním kanji, které se vyskytuje ve slově <i>aozora</i> (<font face="symbol">青空</font>) <b>i</b> <i>aomushi</i> (<font face="symbol">青虫</font>)</td>
  <td><font face="symbol">青</font></font></td>
</tr>
<tr>
  <td>*[aozora,aomushi]</td>
  <td>totéž jako <font face="symbol">*青</font> (slova zakončená <font face="symbol">青</font>)</td>
  <td><font face="symbol">緑青<br>青<br>プロシア青</font></td>
</tr>
<tr>
  <td>[1,ichi]</td>
  <td>slova tvořená právě jedním kanji, které se vyskytje ve slově <i>ichi</i> (<font face="symbol">一</font>, <font face="symbol">市</font>, <font face="symbol">壱</font>, <font face="symbol">位置</font> nebo <font face="symbol">位地</font>) <b>a</b> jehož SKIP kategorie je 1 (tzn. kanji lze rozdělit na levou a pravou část)</td>
  <td><font face="symbol">地 a 位</font></td>
</tr>
<tr>
  <td>?[nihon]*</td>
  <td>slovo začínající libovolným znakem (kanji, hiragana nebo katakana) po němž následuje <font face="symbol">日</font>, <font face="symbol">本</font> nebo <font face="symbol">二 </font>(protože <font face="symbol">日本 </font> i <font face="symbol">二本 </font> lze číst <i>nihon</i>)</td>
  <td><font face="symbol">一本<br>第二次世界大戦<br>根本的</font></td>
</tr>
<tr>
  <td>?[2,nihon]*</td>
  <td>slovo začínající libovolným znakem po němž následuje <font face="symbol">二 </font>(<font face="symbol">二 </font>má SKIP kategorii 2, <font face="symbol">日 </font>a <font face="symbol">本 </font>kategorii 4)</td>
  <td><font face="symbol">十二<br>第二次世界大戦<br>十二月</font></td>
</tr>
<tr>
  <td>?[sei]?[waei]</td>
  <td>slova tvořená 4 znaky;
    <br><u>první a třetí znak</u> mohou být kanji, hiragana nebo katakana; 
    <br><u>druhý</u> znak je kanji, které se vyskytuje ve slově <i>sei</i> (<font face="symbol">世,井,制,勢,姓,性,所,政,斉,旌,星,正,為,生,精,聖,背,脊,製,西,静 nebo 齊</font>)
    <br><u>čtvrtý</u> znak je kanji, které se vyskytuje ve slově <i>waei</i> (<font face="symbol">和英</font>)</td>
  <td><font face="symbol">規制緩和 <br> 資性穏和</td>
</tr>
<tr>
  <td>?[ookii][fu]?</td>
  <td>slova tvořená 4 znaky;
    <br><u>první a čtvrtý</u> znak je kanji, hiragana nebo katakana; 
    <br><u>druhý</u> znak je kanji, které se vyskytuje ve slově <i>ookii</i> (<font face="symbol">大きい</font>);
    <br><u>třetí</u> znak je kanji, které se vyskytuje ve slově <i>fu</i> (<font face="symbol">不,二,傅,婦,布,府,斑,歩,生,符,腑,訃,譜,負,賦,駁,駮,麩 nebo 麸</font>)
</td>
  <td><font face="symbol">尊大不遜</font></td>
</tr>
<tr>
  <td>(too)</td>
  <td>slovo tvořené právě jedním kanji jehož <i>onyomi</i> nebo <i>kunyomi</i> obsahuje <font face="symbol">とお</font> nebo <font face="symbol">トオ</font></td>
  <td><font face="symbol">十<br>通<br>回</font></td>
</tr>
<tr>
  <td>(4,ji)</td>
  <td>slovo tvořené právě jedním kanji jehož <i>onyomi</i> nebo <i>kunyomi</i> obsahuje <font face="symbol">じ</font> nebo <font face="symbol">ジ </font><b>a</b> jehož SKIP kategorie je 4</td>
  <td><font face="symbol">事 (じ)<br>人 (じん)<br>未 (ひつじ)</font></td>
</tr>
<tr>
  <td>(4,too)[bunpou]</td>
  <td>slovo tvořené 2 kanji;<br>
    <i>onyomi</i> nebo <i>kunyomi</i> <u>prvního</u> kanji obsahuje <font face="symbol">とお </font> nebo <font face="symbol">トオ </font><b> a </b> jeho SKIP kategorie je 4<br>
    <u>druhý</u> znak je kanji, které se vyskytuje ve slově <i>bunpou</i> (<font face="symbol">文法, 文保 nebo 分封</font>)</td>
  <td><font face="symbol">十分</font></td>
</tr>
<tr>
  <td>{babo}{kuka}</td>
  <td>slova jejichž čtení je tvořeno 2 znaky (hiragana, katakana); první znak je <font face="symbol">ば</font>,<font face="symbol">ぼ</font>,<font face="symbol">バ </font>nebo <font face="symbol">ボ </font>a druhý znak je <font face="symbol">く</font>, <font face="symbol">か</font>, <font face="symbol">ク </font>nebo <font face="symbol">カ </font></td>
  <td><font face="symbol">僕 (ぼく) <br> 馬鹿 (ばか)</font></td>
</tr>
</table>

<h2>Kanji</h2>
<ul>
<li>Hledat lze podle SKIP kódu, počtu tahů a komponent.</li>
<li>Při vyhledávání podle počtu tahů, JLPT nebo grade lze udávat i neurčitý počet
  <table border="1">
    <tr><td>5+</td><td>5 a více tahů</td></tr>
    <tr><td>5-</td><td>5 a méně tahů</td></tr>
    <tr><td>5-11</td><td>5 až 11 tahů</td></tr>
  </table>
</li>
<li>Při vyhledávání podle SKIP kódu lze pro druhé a třetí číslo kódu použít stejný formát jako u počtu tahů. Druhé a třetí číslo jsou nepovinné. Vyhledávání bere v potaz i nejčastější chyby v identifikaci kanji.
  <table border="1">
    <tr><th>zadaný řetězec</th><th>hledaný SKIP</th></tr>
    <tr><td>1 3 5</td><td>1-3-5</td></tr>
    <tr><td>1</td><td></td>1-X-Y</tr>
    <tr><td>1 4-7</td><td></td>1-4-X, 1-5-X, 1-6-X, 1-7-X</tr>
    <tr><td>1 6 5-</td><td>1-6-5, 1-6-4, 1-6-3, 1-6-2, 1-6-1</td></tr>
    <tr><td>1 2-5 5-9</td><td></td></tr>
  </table>
  &nbsp;<br>
</li>
<li>Je-li aktivní volba <i>JIS 208 only</i> vyhledává se jen mezi kanji uvedenými v normě JIS X 208 (ca 6500 nejběžnějších kanji; postačuje pro běžné použití). V opačném případě se vyhledává mezi všemi ca 13000 kanji uvedenými v normách JIS X 208, JIS X 212 a JIS X 213.</li>
<li><b>Při hledání se aplikují všechny aktivní volby.</b></li>
</ul>



